# Launch Floating Player (iOS)

We can utilize the `VideoFeedViewController.openVideoPlayer` API with pinned playback mode to directly launch the floating player. The code snippets are:

```swift
let channelID = "Your encoded channel id"
let playlistID = "Your encoded playlist id"
var configuration = VideoFeedContentConfiguration()
VideoFeedViewController.openVideoPlayer(
    source: .channelPlaylist(channelID: channelID, playlistID: playlistID),
    playbackMode: .pinned, // Use pinned playback mode
    feedConfiguration: configuration,
    isPictureInPictureEnabled: true
) { result in
    debugPrint("Opened player with result: \(result)")
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.firework.com/firework-for-developers/ios-sdk/integration-guide-for-ios-sdk/launch-floating-player-ios.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
